aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-03-20 03:06:54 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2016-03-20 03:06:54 +0100
commitf8e641f6699937db082a58b26dd0f209d318de7a (patch)
tree7238ce8f44bea8b0a2467e774a9afd7ff5c9a312 /main/busybox/APKBUILD
parent12bf5ab473db6d25b134b8171a445381a11a8601 (diff)
downloadaports-f8e641f6699937db082a58b26dd0f209d318de7a.tar.gz
aports-f8e641f6699937db082a58b26dd0f209d318de7a.tar.bz2
aports-f8e641f6699937db082a58b26dd0f209d318de7a.tar.xz
main/busybox: make vlock an suid binary
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD13
1 files changed, 6 insertions, 7 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 7638256f67..86f8bc866d 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.24.1
-pkgrel=8
+pkgrel=9
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
arch="all"
@@ -70,7 +70,8 @@ prepare() {
build() {
# build bbsuid
msg "Building bbsuid"
- ${CC:-${CROSS_COMPILE}gcc} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} "$srcdir"/bbsuid.c -o "$_dyndir"/bbsuid || return 1
+ ${CC:-${CROSS_COMPILE}gcc} ${CPPFLAGS} ${CFLAGS} \
+ ${LDFLAGS} "$srcdir"/bbsuid.c -o "$_dyndir"/bbsuid || return 1
# build dynamic
cd "$_dyndir"
@@ -95,7 +96,6 @@ build() {
make -C "$_sdir" O="$PWD" silentoldconfig || return 1
make || return 1
mv busybox busybox.static
-
}
package() {
@@ -137,7 +137,6 @@ tty9
tty10
tty11
EOF
-
}
suid() {
@@ -157,7 +156,7 @@ static() {
}
md5sums="be98a40cadf84ce2d6b05fa41a275c6a busybox-1.24.1.tar.bz2
-8485cf1e389e891914cbb8771a6d9bbd bbsuid.c
+f56a969a04ab631f97148095e9788929 bbsuid.c
d64b58a30892c558bdbab7f0d0997577 nologin.c
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
c5a8dbc8696db6da9c4624b0e11d8fba bb-app-location.patch
@@ -183,7 +182,7 @@ a4d1cf64fd1835a284ccc6dbc78e3ce0 0001-ash-fix-error-during-recursive-processing
78724c22bb072eedf42fd17452bfe4d3 busyboxconfig
befaac2c59c380e36a452b3f1c1d4a3a glibc.patch"
sha256sums="37d03132cc078937360b392170b7a1d0e5b322eee9f57c0b82292a8b1f0afe3d busybox-1.24.1.tar.bz2
-81957f1fe0c386120dad1c8174ccc1fcfeed98c14d229db7d164d4fb4c938b3d bbsuid.c
+8961852c990be4f8cd92f1d9ad474631d44270c9d0f35bf433b21fd0854a90dd bbsuid.c
9bbf0bec82e6d6907474958f3be048c54657fbf49207810b7e4d4d6146f0069d nologin.c
327bb8049e2726351a5c8b6b2cef864f6ce58725d4453983f97092ea73656ccc busybox-1.11.1-bb.patch
576366b4d50f1078da6c0364ef70415de92d97c93c64f4d790b11d7a34cdccd2 bb-app-location.patch
@@ -209,7 +208,7 @@ f7cbeb5a5a47395ad30454ce8262abcd3e91c33ef803c2ae31a9258d7142dd48 acpid.logrotat
529499778b833285d1cf821ef45dc1ef74f536fea010a43688e0bbab48c4c3a7 busyboxconfig
c604ef791c31d35a8c5ee4558d21428a46f37a6d762c4a7e29864f4037fc44a0 glibc.patch"
sha512sums="3afc757ebaae61ae13c2c69097ee734717434f9e658eb77093a8b7b49af3326cbca2d723483ff84a1da99544b822fd2b47d9a97c68f09962e11754e5daf124ca busybox-1.24.1.tar.bz2
-16b3dd6a8b76b062d51458351fcb44f84b49eb4bf898584c933df90fb2cb3966f9547865a4d7447589bb20b7c203beb04ff7512f76f85d29138d2cff4eb9ee81 bbsuid.c
+02390d45b381daeccab0a06c2542ecd9a182ce07362b83fa39843b4c9efef4ac21b8a3dcf4371da4093c861ac06ed096f62fae88398f6ab16952e114897a7c66 bbsuid.c
4e7c291a70e879b74c0fc07c54a73ef50537d8be68fee6b2d409425c07afd2d67f9b6afcd8c33a7971014913cc5de85e45079681c9e77200c6cc2f34acfba6d2 nologin.c
eb7cce973bfd53ce3350713437b9e2751becfb8dfb10b14f27c4f812297c403b90f80dc2906179d499e8dffbe6df8aa37ae27625c552162923d59fe35b55b32b busybox-1.11.1-bb.patch
5c42b05be69c834c9fd5372c6b0d55a6399c74146a94ea09eae7285dd4fa75d1bde38bf7ab73e98638f65eb72db02115453cbdfe85a0085d742940366f617c7d bb-app-location.patch